Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.document.nodebranchdata
Interface NodeBranchDataAdapter

All Known Subinterfaces:
  IDElementAdapter, NewNodeDataAdapter

All Known Implementing Classes:
  AbstractIDElementAdapter, AbstractNodeBranchDataAdapter, BranchLengthAdapter, HiddenBranchDataAdapter, HiddenDataAdapter, HiddenNodeDataAdapter, NewHiddenBranchDataAdapter, NewHiddenNodeDataAdapter, NewTextLabelAdapter, NodeNameAdapter, TextElementDataAdapter, TextLabelAdapter, UniqueNameAdapter

    public interface NodeBranchDataAdapter

Method Summary
`boolean` | `decimalOnly()`
`void` | `delete(Node node)`
`ConcretePaintableElement` | `getDataElement(Node node)` This method should return the tree element which contains the data which is edited with the implementation of the respective adapter.
`double` | `getDecimal(Node node)`
`String` | `getText(Node node)`
`boolean` | `isDecimal(Node node)`
`boolean` | `isEmpty(Node node)`
`boolean` | `isNewColumn()`
`boolean` | `isString(Node node)`
`boolean` | `readOnly()`
`void` | `setDecimal(Node node, double value)`
`void` | `setText(Node node, String value)`
`String` | `toString()` A description of the adapter that is readable by the user should be returned here.

Method Detail

### readOnly

    boolean readOnly()

### decimalOnly

    boolean decimalOnly()

### isNewColumn

    boolean isNewColumn()

### isDecimal

    boolean isDecimal(Node node)

### isString

    boolean isString(Node node)

### isEmpty

    boolean isEmpty(Node node)

### getText

    String getText(Node node)

### setText

    void setText(Node node,
                 String value)

### getDecimal

    double getDecimal(Node node)

### setDecimal

    void setDecimal(Node node,
                    double value)

### delete

    void delete(Node node)

### getDataElement

    ConcretePaintableElement getDataElement(Node node)

  This method should return the tree element which contains the data which is edited with the implementation of the respective adapter.

  Parameters:
    `node` -
  Returns:

### toString

    String toString()

  A description of the adapter that is readable by the user should be returned here.

  Overrides:
    `toString` in class `Object`
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD